Subject: Re: bug#22874: 25.0.91; whitespace.el documentation looks incorrect

From: Stefan Kangas <[email-masked]>
Date: Fri, 14 Aug 2020 21:32:55 -0700

tags 22874 + moreinfo
thanks

Hi David,

Lars Ingebrigtsen <[email-masked]> writes:

> David Caldwell <[email-masked]> writes:
>
>> Hello,
>>
>> M-x describe-variable RET whitespace-style RET
>>
>> says:
>>
>> [snip]
>>
>>    indentation::tab     8 or more SPACEs at beginning of line are
>>                         visualized via faces.
>>                         It has effect only if ‘face’ (see above)
>>                         is present in ‘whitespace-style’.
>>
>>    indentation::space   TABs at beginning of line are visualized via
>>                         faces.
>>                         It has effect only if ‘face’ (see above)
>>                         is present in ‘whitespace-style’.
>
> I tried to reproduce this bug with the following file:
>
>
>
> But with either
>
> (setq whitespace-style '(face indentation::tab))
> (setq whitespace-style '(face indentation::space))
>
> and then `M-x whitespace-mode'
>
> just the lines with leading spaces were fontified.
>
> So this either doesn't seem to work at all, or I'm just doing it wrong.

We seem to be needing more info to make any progress here.  Could you
take a look at the above and explain the issue you are seeing?

If I don't hear back from you within a couple of weeks, I'll just
close this bug as unreproducible.

Best regards,
Stefan Kangas